import { CookieDict, CookieOptions } from './cookie.model';
declare type EmptyArray = never[] & {
    length: 0;
};
declare type EmptyObject = Record<any, never>;
export declare function isNil(obj: unknown): obj is undefined | null;
export declare function isPresent(obj: unknown): obj is Exclude<typeof obj, undefined | null>;
export declare function isString(obj: unknown): obj is string;
export declare function isEmpty(value: unknown): value is undefined | null | '' | EmptyArray | EmptyObject;
export declare function mergeOptions(oldOptions: CookieOptions, newOptions?: CookieOptions): CookieOptions;
export declare function parseCookieString(currentCookieString: string): CookieDict;
export declare function buildCookieString(name: string, value: string | undefined, options?: CookieOptions): string;
export declare function safeDecodeURIComponent(str: string): string;
export {};
